
package de.ivu.elect.business.entschaedigung.entity;

import de.ivu.elect.jee.presentation.dynamicform.AbstractLongProperty;

public class EntschaedigungsartAnzahlBooleanProperty extends AbstractAnzahlBooleanProperty {

  private final AbstractLongProperty anzahlMinimalProperty;

  private final AbstractLongProperty anzahlMaximalProperty;

  public EntschaedigungsartAnzahlBooleanProperty(Entschaedigungsart entschaedigungsart) {
    super(entschaedigungsart.getProperties().getAnzahlInitialProperty());

    EntschaedigungsartProperties entschaedigungsartProperties = entschaedigungsart.getProperties();

    this.anzahlMinimalProperty = entschaedigungsartProperties.getAnzahlMinimalProperty();
    this.anzahlMaximalProperty = entschaedigungsartProperties.getAnzahlMaximalProperty();
  }

  @Override
  public String getDefaultLabel() {
    return getMessage("EntschaedigungsartAnzahlBooleanProperty.label");
  }

  @Override
  protected void setValue(Long value) {
    super.setValue(value);

    anzahlMinimalProperty.setValue(0L);
    anzahlMaximalProperty.setValue(1L);
  }
}
